Name: libshout
Version: 1.0.9
Release: alt2

Summary: libshout - icecast source streaming library
Group: System/Libraries
License: LGPL
Url: http://www.icecast.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.icecast.org/pub/libshout/%name-%version.tar.gz

# Automatically added by buildreq on Sun Oct 13 2002
BuildRequires: glibc-devel-static

%description
Libshout is a library for communicating with and sending data to an
icecast server. It handles the socket connection, the timing of the
data, and prevents most bad data from getting to the icecast server.

%package devel
Summary: icecast source streaming library development package
Group: Development/C
Requires: %name = %version-%release

%description devel
The libshout-devel package contains the header files needed for developing
applications that send data to an icecast server. Install libshout-devel if
you want to develop applications using libshout.

%package devel-static
Summary: icecast static library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains static version of libshout library. Install
libshout-devel-static if you want to develop applications statically linked
with libshout.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc AUTHORS CHANGES README

%files devel
%_libdir/*.so
%_libdir/*.la
%_includedir/*
%doc doc/*.html doc/*.css example

%files devel-static
%_libdir/*.a

%changelog
* Sun Oct 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.9-alt2
- Rebuild with gcc-3.2. 

* Mon May 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.9-alt1
- 1.0.9
- Adopted for Sisyphus.

* Tue Mar 21 2000 Jeremy Katz <katzj@icecast.org> 1.0.7-1
- split into libshout and libshout-devel packages

* Tue Mar 21 2000 Jack Moffitt <jack@icecast.org>
- new version

* Wed Mar 15 2000 Jack Moffitt <jack@icecast.org>
- More files to get installed

* Wed Mar 15 2000 Jeremy Katz <katzj@icecast.org>
- Clean up the spec file a tad
- Do an ldconfig after installing the lib

* Tue Mar 14 2000 Jack Moffitt <jack@icecast.org>
- First official rpm build, using 1.0.0
